# convert month string (mon) to 2 digit month number (ret).
# i.e.: Jan -> 01
function month2int(mon){
	ret=0
	for(i=1; i<13; i++){
	    j=i<10 ? ("0" i) : i
	    a=("2000 " j " 28 23 59 59")                        # build some date with month j
	    if(strftime("%b",mktime(a)) == mon){                # check whether month of build date equals mon
		ret=j
		break
	    }
	}
	return ret
    }

BEGIN{
    max=0
    fileatmax=""
}

$9 ~ /PLHLDMATCH/ && $9 !~ /PLHLDMISMATCH/ {                    # go on only if filename matches regexp "PLHLDMATCH" but not "PLHLDMISMATCH"
    year=$8 ~ /:/ ? strftime("%Y",systime()) : $8               # if year column contains ":" then take the current year
    tmp=mktime(year " " month2int($6) " " $7 " 28 23 59 59")    # convert the file date to internal time (UNIX time)
    if(tmp>max){                                                # save the file with highest time (latest file)
	max=tmp
	fileatmax=$9
    }
}

END{
    sub(/[\r]/,"",fileatmax)  # remove carrage return
    #printf("%s\n",fileatmax) # this removes the EOL character
    print fileatmax           # this does not
}
